Page MenuHomePhabricator

evas/render: fix proxy clipping when source_clip is disabled
ClosedPublic

Authored by zmike on May 10 2019, 11:39 AM.

Details

Summary

when source_clip is disabled, the clipper used should be the one used by
the proxy object. previously this would never be the case, meaning that
disabling source_clip had no effect

@fix
Depends on D8879

Diff Detail

Repository
rEFL core/efl
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
zmike created this revision.May 10 2019, 11:39 AM
Hermet requested changes to this revision.May 13 2019, 1:37 AM

Please check a comment.

src/lib/evas/canvas/evas_render.c
1655–1657

Should we ignore Proxy object's clipper ?

This seem bring different behavior.

obj->cur->cache.clip.x must be applied with src_obj->cur->cache.clip.x;

This revision now requires changes to proceed.May 13 2019, 1:37 AM
zmike requested review of this revision.May 13 2019, 4:35 AM
zmike added inline comments.
src/lib/evas/canvas/evas_render.c
1655–1657

No, this is the exact same behavior; the only difference here is that the clip geometry is being accessed through proxy_render_data->src_obj after this patch instead of through the passed obj parameter.

Hermet accepted this revision.May 22 2019, 10:45 PM
This revision is now accepted and ready to land.May 22 2019, 10:45 PM
This revision was automatically updated to reflect the committed changes.